Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - e -

- e_script : cmdline_options
- ec : gzfile , rb_econv_init_by_convpath_t
- ecflags : gzfile , rb_io_t::rb_io_enc_t
- ecopts : gzfile , rb_io_t::rb_io_enc_t
- elems : rb_econv_t
- emitter_handler : _syck_emitter
- enable_close : dl_handle
- enc : reg_named_capture_assign_t , gzfile , rb_io_t::rb_io_enc_t , OnigErrorInfo , re_pattern_buffer , OptEnv , dir_data , INamesArg , type_cclass_key , glob_args , ScanEnv , cmdline_options , rb_encoding_entry , search_path_queue_tag , default_encoding , parser_params
- enc2 : gzfile , rb_io_t::rb_io_enc_t
- enclose : _Node
- enclosed : thgroup
- encodings : dump_arg
- encs : rb_io_t , argf
- end : ensure_range , from_utf8_mac_status , _syck_str , zstream::zstream_funcs , gzfile , OnigCaptureTreeNodeStruct , re_registers , rmatch_offset , iseq_catch_table_entry , _OnigStackType , st_str_end_key , StrNode
- end_label : iseq_compile_data
- ensure_node : iseq_compile_data_ensure_node_stack , iseq_compile_data
- ensure_node_stack : iseq_compile_data
- entries : trans_open_t
- entries_packed : st_table
- entry : RNode
- env : rb_binding_t , IApplyCaseFoldArg , rb_env_t
- env_size : rb_env_t
- envval : rb_proc_t
- eof : _syck_parser
- eofp : parser_params
- eql : equal_data
- erange : iseq_compile_data_ensure_node_stack
- err_info : iseq_compile_data
- errinfo : rb_thread_struct
- errnum : asynchronous_arg_t
- error : ScanEnv
- error_bytes_len : rb_econv_t
- error_bytes_start : rb_econv_t
- error_end : ScanEnv
- error_handler : _syck_parser
- error_no : copy_stream_struct
- error_tc : rb_econv_t
- errstatus : cparse_params
- esc : OnigMetaCharTableType
- escaped : OnigToken
- ev : eval_queue , call_queue , invoke_queue
- event : call_trace_func_args
- event_flags : rb_thread_struct
- event_hooks : rb_vm_struct , rb_thread_struct
- event_id : oleeventdata
- exact : re_pattern_buffer
- exact_end : re_pattern_buffer
- exb : NodeOptInfo
- except : select_args
- exec_signal : rb_thread_struct
- exist_level : OnigToken
- exm : NodeOptInfo
- explicit_typing : _syck_emitter
- exponent : Real
- expr : NodeOptInfo
- ext : cmdline_options